Masumi Logo

/payment-diff-next-action

Returns payments whose next action changed since lastUpdate.

GET
/payment/diff/next-action
token<token>

API key authentication via header (token)

In: header

Query Parameters

limit?number

The number of payments to return

Default10
Range1 <= value <= 100
cursorId?string

Pagination cursor (payment id). Used as tie-breaker when lastUpdate equals a payment change timestamp

lastUpdate?||

Return payments whose selected status timestamp changed after this ISO timestamp

Default"1970-01-01T00:00:00.000Z"
network*string

The network the payments were made on

Value in"Preprod" | "Mainnet"
filterSmartContractAddress?|

The smart contract address of the payment source

filterPaymentSourceType?string

Filter by payment source type

Value in"Web3CardanoV1" | "Web3CardanoV2"
includeHistory?string

Whether to include the full transaction and status history of the payments

Default"false"

Response Body

application/json

curl -X GET "https://loading/./../api/v1/payment/diff/next-action?network=Preprod"
{
  "status": "Success",
  "data": {
    "Payments": [
      {
        "id": "cuid_v2_auto_generated",
        "blockchainIdentifier": "blockchain_identifier",
        "agentIdentifier": "agent_identifier",
        "pricingType": "Fixed",
        "createdAt": "1970-01-20T20:00:36.260Z",
        "updatedAt": "1970-01-20T20:00:36.260Z",
        "submitResultTime": "0",
        "unlockTime": "0",
        "externalDisputeUnlockTime": "0",
        "lastCheckedAt": null,
        "cooldownTime": 0,
        "payByTime": null,
        "cooldownTimeOtherParty": 0,
        "collateralReturnLovelace": null,
        "buyerReturnAddress": null,
        "sellerReturnAddress": null,
        "requestedById": "requester_id",
        "resultHash": "result_hash",
        "onChainState": null,
        "inputHash": "input_hash",
        "NextAction": {
          "requestedAction": "AuthorizeRefundRequested",
          "errorType": null,
          "errorNote": null,
          "resultHash": null
        },
        "CurrentTransaction": null,
        "RequestedFunds": [
          {
            "unit": "",
            "amount": "10000000"
          }
        ],
        "PaymentSource": {
          "id": "payment_source_id",
          "network": "Preprod",
          "paymentSourceType": "Web3CardanoV1",
          "smartContractAddress": "address",
          "policyId": "policy_id"
        },
        "WithdrawnForSeller": [],
        "WithdrawnForBuyer": [],
        "BuyerWallet": null,
        "SmartContractWallet": null,
        "metadata": null,
        "totalBuyerCardanoFees": 0,
        "totalSellerCardanoFees": 0,
        "nextActionOrOnChainStateOrResultLastChangedAt": "1970-01-20T20:00:36.260Z",
        "nextActionLastChangedAt": "1970-01-20T20:00:36.260Z",
        "onChainStateOrResultLastChangedAt": "1970-01-20T20:00:36.260Z",
        "TransactionHistory": []
      }
    ]
  }
}
Empty
Empty
Empty
Masumi Kanji